# comment out when not prerel
#define prerel rc1
%define rel 1

Summary:	A drop-down terminal for Gnome Desktop Environment
Name:		guake
Version:	0.8.8
Release:	%mkrel %{?prerel:0.%prerel.}%{rel}
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://guake-project.org/
Source0:	https://github.com/Guake/guake/archive/%{version}%{?prerel:-%prerel}/guake-%{version}%{?prerel:-%prerel}.tar.gz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	GConf2
BuildRequires:	python-vte
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(pygtk-2.0)
Requires:	gnome-python-gconf
Requires:	pygtk2.0
Requires:	pygtk2.0-libglade
Requires:	python-dbus
Requires:	python-keybinder
Requires:	python-notify
Requires:	python-pyxdg
Requires:	python-vte

%description
Guake is a drop-down terminal for Gnome Desktop Environment, so you just
need to press a key to invoke him, and press again to hide.

%prep
%autosetup -p1

%build
intltoolize --force --automake
autoreconf -vfi
%configure2_5x \
    --build=%{_build} \
    --disable-schemas-install \
    --disable-static
%make_build V=1

%install
%make_install pythondir=%{python_sitearch}

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{python_sitearch}/%{name}
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_mandir}/man1/*
%{_datadir}/dbus-1/services/org.guake.Guake.service
%{_datadir}/pixmaps/%{name}/
%{_iconsdir}/hicolor/*/apps/guake*.png


%changelog
* Sat Jan 07 2017 wally <wally> 0.8.8-1.mga6
+ Revision: 1080531
- new version 0.8.8

* Mon Aug 22 2016 wally <wally> 0.8.7-1.mga6
+ Revision: 1047850
- new version 0.8.7

* Tue Mar 15 2016 wally <wally> 0.8.4-1.mga6
+ Revision: 991076
- new version 0.8.4
- build as noarch pkg

* Mon Feb 15 2016 umeabot <umeabot> 0.8.3-2.mga6
+ Revision: 960592
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 wally <wally> 0.8.3-1.mga6
+ Revision: 894975
- new version 0.8.3

* Thu Oct 22 2015 wally <wally> 0.8.1-1.mga6
+ Revision: 894207
- new version 0.8.1

* Sat Aug 22 2015 wally <wally> 0.8.0-2.mga6
+ Revision: 868147
- add missing requires for python-keybinder (mga#16603)

* Sun Aug 16 2015 wally <wally> 0.8.0-1.mga6
+ Revision: 865087
- new version 0.8.0

* Sun Jun 21 2015 wally <wally> 0.7.2-1.mga6
+ Revision: 837576
- new version 0.7.2

* Wed Feb 18 2015 wally <wally> 0.5.2-3.mga5
+ Revision: 815559
- one more release tag fix

* Wed Feb 18 2015 wally <wally> 0.5.2-2.mga5
+ Revision: 815526
- fix release and source tags mistakenly changed in previous release

* Tue Feb 17 2015 tarakbumba <tarakbumba> 0.5.2-1.mga5
+ Revision: 815416
- Update to 0.5.2 version (closes mga#15306)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-0.rc1.3.mga5
+ Revision: 738992
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-0.rc1.2.mga5
+ Revision: 680038
- Mageia 5 Mass Rebuild

* Mon Jul 28 2014 wally <wally> 0.5.0-0.rc1.1.mga5
+ Revision: 657781
- new version 0.5.0 rc1

* Sat May 31 2014 pterjan <pterjan> 0.4.4-5.mga5
+ Revision: 628246
- Rebuild for new Python

* Sat Oct 19 2013 umeabot <umeabot> 0.4.4-4.mga4
+ Revision: 523773
- Mageia 4 Mass Rebuild

* Fri May 24 2013 zezinho <zezinho> 0.4.4-3.mga4
+ Revision: 426901
- Guake needs python-pyxdg as requires

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 352941
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 wally <wally> 0.4.4-1.mga3
+ Revision: 275743
- new version 0.4.4

* Thu Jun 07 2012 wally <wally> 0.4.3-1.mga3
+ Revision: 257079
- new version 0.4.3
- drop unneeded patches
- require pygtk2.0-libglade (mga#5907)

* Fri Apr 20 2012 wally <wally> 0.4.2-5.mga2
+ Revision: 232052
- add P1 to fix glib includes
- clean BRs and .spec
- require gnome-python-gconf

* Thu May 05 2011 wally <wally> 0.4.2-4.mga1
+ Revision: 95138
- require python-notify (mga#1154)

* Thu Mar 03 2011 wally <wally> 0.4.2-3.mga1
+ Revision: 63258
- drop buildroot definition
- clean .spec
- imported package guake

